%define upstream_name    File-Lockf
%define upstream_version 0.20

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 15

Summary: 	%{upstream_name} module for perl
License: 	GPL+ or Artistic
Group: 		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0: 	%{upstream_name}-%{upstream_version}.tar.bz2

BuildRequires:	perl-devel


%description
File-Lockf module for perl

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make

%install
%makeinstall_std

%files
%defattr(444,root,root,755)
%doc COPYRIGHT README
%dir %{perl_vendorlib}/*/File
%{perl_vendorlib}/*/File/lockf.pm
%dir %{perl_vendorlib}/*/auto/File
%dir %{perl_vendorlib}/*/auto/File/lockf
%{perl_vendorlib}/*/auto/File/lockf/lockf.so
%{_mandir}/*/*


%changelog
* Wed Jul 12 2017 bb2 <bb2> - 0.200.0-15pclos2017
- rebuild against updates

